# Generated from prawn-git-2.0.1.gem by gem2rpm -*- rpm-spec -*-
%global gem_name prawn-git

Name: rubygem-%{gem_name}
Version: 2.0.1
Release: 1%{?dist}
Summary: A fast and nimble PDF generator for Ruby
License: RUBY and GPL-2 and GPL-3
URL: http://prawn.majesticseacreature.com
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel >= 1.3.6
BuildRequires: ruby >= 2.0.0
# BuildRequires: rubygem(pdf-inspector) >= 1.2.0
# BuildRequires: rubygem(pdf-inspector) < 1.3
# BuildRequires: rubygem(yard)
# BuildRequires: rubygem(rspec) = 2.14.1
# BuildRequires: rubygem(mocha)
# BuildRequires: rubygem(simplecov)
# BuildRequires: rubygem(prawn-manual_builder) >= 0.2.0
# BuildRequires: rubygem(pdf-reader) >= 1.2
# BuildRequires: rubygem(pdf-reader) < 2
# BuildRequires: rubygem(rubocop) = 0.28.0
# BuildRequires: rubygem(code_statistics) = 0.2.13
BuildArch: noarch

%description
Prawn is a fast, tiny, and nimble PDF generator for Ruby.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# rspec spec
popd

%files
%dir %{gem_instdir}
%exclude %{gem_instdir}/.yardopts
%license %{gem_instdir}/COPYING
%license %{gem_instdir}/GPLv2
%license %{gem_instdir}/GPLv3
%license %{gem_instdir}/LICENSE
%{gem_instdir}/data
%{gem_libdir}
%{gem_instdir}/manual
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%{gem_instdir}/Gemfile
%{gem_instdir}/Rakefile
%{gem_instdir}/prawn.gemspec
%{gem_instdir}/spec

%changelog
* Tue Apr 19 2022 mockbuilder - 2.0.1-1
- Initial package
